Subject: Re: bug#57953: 29.0.50; crash on xwidget-browse-url

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 20 Sep 2022 15:12:47 +0200

Po Lu <[email-masked]> writes:

> Right, but what if you run Emacs according to these instructions in
> PROBLEMS?
>
> ** Emacs crashes with SIGTRAP when trying to start a WebKit xwidget.
>
> This could happen if the version of WebKitGTK installed on your system
> is buggy, and errors out trying to start a subprocess through
> Bubblewrap sandboxing.  You can avoid the crash by setting the
> environment variables SNAP, SNAP_NAME and SNAP_REVISION, which will
> make WebKit use GLib to launch subprocesses instead.  For example,
> invoke Emacs like this (where "..." stands for the other command-line
> arguments you intend to pass to Emacs):
>
>   $ SNAP=1 SNAP_NAME=1 SNAP_REVISION=1 emacs ...

Then it doesn't crash.  So should `xwidget-webkit-browse-url' set those
environment variables?